Get workspace appearance settings
Retrieves the current workspace appearance settings.
What is returned:
- Main workspace color: The primary color theme used throughout the workspace
- Logo URL: Public URL for the workspace logo (shown in light theme)
- Logo dark theme URL: Public URL for the workspace logo used in dark theme
Note: This endpoint requires the WsSettings.manageSettings permission. Appearance settings affect how the workspace looks to all users in the workspace.
GET
/administration/appearance-settingsAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredResponses
200Appearance settings retrieved successfully
logoDarkThemeUrlobject | nullURL to the workspace logo for dark theme
logoUrlobject | nullURL to the workspace logo for default theme
mainWorkspaceColorstringrequiredMain workspace color theme
Allowed:
DEFAULTBLACKREDROSEMAGENTAGREENBLUEYELLOWVIOLET401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/administration/appearance-settings" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/administration/appearance-settings", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/administration/appearance-settings",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"logoDarkThemeUrl": "https://app.leadtime.io/api/files/public/123e4567-e89b-12d3-a456-426614174001",
"logoUrl": "https://app.leadtime.io/api/files/public/123e4567-e89b-12d3-a456-426614174000",
"mainWorkspaceColor": "BLUE"
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions